%define anolis_release 2

Name:           libsass
Version:        3.6.4
Release:        %{anolis_release}%{dist}

Summary:        C/C++ port of the Sass CSS precompiler

License:        MIT
URL:            http://sass-lang.com/libsass
Source0:        https://github.com/sass/libsass/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  gcc-c++
BuildRequires: make

#https://github.com/sass/libsass/commit/5bb0ea0c4b2ebebe542933f788ffacba459a717a
Patch0001: 0001-fix-cve-2022-43358.patch

%description
Libsass is a C/C++ port of the Sass CSS precompiler. The original version was
written in Ruby, but this version is meant for efficiency and portability.

This library strives to be light, simple, and easy to build and integrate with
a variety of platforms and languages.

Libsass is just a library, but if you want to RUN libsass, install the sassc
package.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%patch1 -p1
export LIBSASS_VERSION=%{version}
autoreconf --force --install

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%generate_compatibility_deps

%files
%license LICENSE
%dir %{abidir}
%{_libdir}/*.so.*
%{abidir}/*.dump

%files devel
%license LICENSE
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files doc
%doc Readme.md SECURITY.md

%changelog
* Wed Oct 30 2024 yangxinyu <yangxinyu@nfschina.com> - 3.6.4-2
- fix cve-2022-43358

* Mon Mar 27 2023 yuanhui <yuanhui@linux.alibaba.com> - 3.6.4-1
- Init package from upstream
